Bug 478081 - MIGRATED_FROM_JIRA: Can't find Apacheds.xml (Path repeated)
MIGRATED_FROM_JIRA: Can't find Apacheds.xml (Path repeated)
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:57 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:57:21 EST
Can't find Apacheds.xml (Path repeated). I rename "target/dist" to "penrose" and move it to  "/usr/local/

When trying to run "/usr/local/penrose/bin/penrose.sh start", I got this exception

I tried using "ant install" to copy the penrose, but it produced the same error.


Exception in thread "main" org.springframework.beans.factory.BeanDefinitionStoreException: IOException parsing XML document from file [/usr/local/penrose/usr/local/penrose/conf/apacheds.xml]; nested exception is java.io.FileNotFoundException: usr/local/penrose/conf/apacheds.xml (No such file or directory)
java.io.FileNotFoundException: usr/local/penrose/conf/apacheds.xml (No such file or directory)
       at java.io.FileInputStream.open(Native Method)
       at java.io.FileInputStream.<init>(FileInputStream.java:106)
       at org.springframework.core.io.FileSystemResource.getInputStream(FileSystemResource.java:68)
       at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions(XmlBeanDefinitionReader.java:144)
       at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions(AbstractBeanDefinitionReader.java:99)
       at org.springframework.context.support.AbstractXmlApplicationContext.loadBeanDefinitions(AbstractXmlApplicationContext.java:103)
       at org.springframework.context.support.AbstractXmlApplicationContext.loadBeanDefinitions(AbstractXmlApplicationContext.java:71)
       at org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactory(AbstractRefreshableApplicationContext.java:87)
       at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:262)
       at org.springframework.context.support.FileSystemXmlApplicationContext.<init>(FileSystemXmlApplicationContext.java:82)
       at org.springframework.context.support.FileSystemXmlApplicationContext.<init>(FileSystemXmlApplicationContext.java:67)
       at org.springframework.context.support.FileSystemXmlApplicationContext.<init>(FileSystemXmlApplicationContext.java:58)
       at org.safehaus.penrose.PenroseServer.run(PenroseServer.java:56)
       at org.safehaus.penrose.PenroseServer.main(PenroseServer.java:221)
Additional Comments From endisd dated Mon Sep 12 14:05:09 CDT 2005 
This has been fixed in 0.9.5.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-88',
          'assignee' => 'endisd',
          'summary' => 'Can't find Apacheds.xml (Path repeated)',
          'id' => '10280',
          'updated' => '2005-09-12 14:05:09.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-09-15 00:00:00.0',
                             'sequence' => '5',
                             'name' => 'Penrose-0.9.5',
                             'released' => 'true',
                             'id' => '10022',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Can't find Apacheds.xml (Path repeated). I rename "target/dist" to "penrose" and move it to  "/usr/local/

When trying to run "/usr/local/penrose/bin/penrose.sh start", I got this exception

I tried using "ant install" to copy the penrose, but it produced the same error.


Exception in thread "main" org.springframework.beans.factory.BeanDefinitionStoreException: IOException parsing XML document from file [/usr/local/penrose/usr/local/penrose/conf/apacheds.xml]; nested exception is java.io.FileNotFoundException: usr/local/penrose/conf/apacheds.xml (No such file or directory)
java.io.FileNotFoundException: usr/local/penrose/conf/apacheds.xml (No such file or directory)
       at java.io.FileInputStream.open(Native Method)
       at java.io.FileInputStream.<init>(FileInputStream.java:106)
       at org.springframework.core.io.FileSystemResource.getInputStream(FileSystemResource.java:68)
       at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions(XmlBeanDefinitionReader.java:144)
       at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions(AbstractBeanDefinitionReader.java:99)
       at org.springframework.context.support.AbstractXmlApplicationContext.loadBeanDefinitions(AbstractXmlApplicationContext.java:103)
       at org.springframework.context.support.AbstractXmlApplicationContext.loadBeanDefinitions(AbstractXmlApplicationContext.java:71)
       at org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactory(AbstractRefreshableApplicationContext.java:87)
       at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:262)
       at org.springframework.context.support.FileSystemXmlApplicationContext.<init>(FileSystemXmlApplicationContext.java:82)
       at org.springframework.context.support.FileSystemXmlApplicationContext.<init>(FileSystemXmlApplicationContext.java:67)
       at org.springframework.context.support.FileSystemXmlApplicationContext.<init>(FileSystemXmlApplicationContext.java:58)
       at org.safehaus.penrose.PenroseServer.run(PenroseServer.java:56)
       at org.safehaus.penrose.PenroseServer.main(PenroseServer.java:221)',
          'affectsVersions' => [],
          'created' => '2005-09-12 10:43:35.0',
          'environment' => 'Mac OS X 10.4',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:57:23 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-88

Note You need to log in before you can comment on or make changes to this bug.